org.bouncycastle.util.utiltest

## Class AggregateRuntimeExceptionTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.util.utiltest.AggregateRuntimeExceptionTest

- All Implemented Interfaces:
    junit.framework.Test

      public class AggregateRuntimeExceptionTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateRuntimeExceptionTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testCanBeThrownAndCaughtAsRuntimeException()`
    `void` | `testExceptionsAreDefensivelyCopied()`
    `void` | `testMessageAndExceptions()`
    `void` | `testNullExceptionsYieldsEmptyList()`
    `void` | `testReturnedListIsUnmodifiable()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateRuntimeExceptionTest

          public AggregateRuntimeExceptionTest()

  - ### Method Detail

    - #### testMessageAndExceptions

          public void testMessageAndExceptions()

    - #### testExceptionsAreDefensivelyCopied

          public void testExceptionsAreDefensivelyCopied()

    - #### testReturnedListIsUnmodifiable

          public void testReturnedListIsUnmodifiable()

    - #### testNullExceptionsYieldsEmptyList

          public void testNullExceptionsYieldsEmptyList()

    - #### testCanBeThrownAndCaughtAsRuntimeException

          public void testCanBeThrownAndCaughtAsRuntimeException()